Bug 57226 - db2pdf and db2ps fail to compile docbook files to PDF/PS
db2pdf and db2ps fail to compile docbook files to PDF/PS
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: docbook-utils (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-07 06:04 EST by David Howells
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-07 08:58:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Howells 2001-12-07 06:04:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.7-10 i686; en-US; rv:0.9.1)
Gecko/20010609

Description of problem:
When db2ps and db2pdf are asked to compile even the simplest docbook file I
can create, they show pdfjadetex producing errors due to the TeX output of
jade.

It appears that pdftex.cfg and nameref.sty _are_ actually installed on the
system (and will be accessed if copied into the current directory).

It also appears that jade produces fonts with differently capitalised names
to those actually stored in the filesystem.

For instance, jade requests the font TS1cmr.fd, but this can't be found as
the file is actually:
/usr/share/texmf/tex/latex/base/ts1cmr.fd


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Copy /tmp/test.sgml from Additional Info
2. cp /usr/share/texmf/pdftex/config/pdftex.cfg /tmp
3. Compile with db2pdf test.sgml
4. Or compile with db2ps test.sgml


Actual Results:  db2pdf does:

Using catalogs: /etc/sgml/sgml-docbook-3.1.cat
Using stylesheet: /usr/share/sgml/docbook/utils-0.6.9/docbook-utils.dsl#print
Working on: /tmp/test.sgml
This is pdfTeX, Version 3.14159-14h-released-20010417 (Web2C 7.3.3.1)
(./test.tex{pdftex.cfg}
JadeTeX 2001/07/19: 3.11

LaTeX Font Warning: Font shape `T1/ptm/m/n' undefined
(Font)              using `T1/cmr/m/n' instead on input line 1.


Elements will be labelled
Jade begin document sequence at 21
No file test.aux.
No file T2Acmr.fd.

! LaTeX Error: This NFSS system isn't set up properly.

See the LaTeX manual or LaTeX Companion for explanation.
Type  H <return>  for immediate help.
 ...                                              
                                                  
l.21 {48\p@}}
             \Node%
No file TS1cmr.fd.

! LaTeX Error: This NFSS system isn't set up properly.

See the LaTeX manual or LaTeX Companion for explanation.
Type  H <return>  for immediate help.
 ...                                              
                                                  
l.21 {48\p@}}
             \Node%

! LaTeX Error: File `nameref.sty' not found.

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: sty)

Enter file name: 
! Emergency stop.
<read *> 
         
l.21 {48\p@}}
             \Node%^^M
No pages of output.
Transcript written on test.log.



Expected Results:  I expect something similar to what db2html does:

output is test
Using catalogs: /etc/sgml/sgml-docbook-3.1.cat
Using stylesheet: /usr/share/sgml/docbook/utils-0.6.9/docbook-utils.dsl#html
Working on: /tmp/test.sgml
Done.


Additional info:

Relevant installed packages:
 docbook-utils-0.6.9-12
 docbook-utils-pdf-0.6.9-12
 openjade-1.3-21
 jadetex-3.11-3
 tetex*-1.0.7-37

(but also happens with older versions including those in RH7.2)

DocBook source (/tmp/test.sgml):
<!DOCTYPE BOOK PUBLIC "-//OASIS//DTD DocBook V3.1//EN" [
]>

<book id="linux-driverguide">
<beginpage>
<title>Linux drivers</title>
<subtitle>Document Version 1.0, November 2001</subtitle>
</book>
Comment 1 Tim Waugh 2001-12-07 07:50:46 EST
[tim@cyberelk tim]$ cd $(mktemp -d /tmp/XXXXXX)
[tim@cyberelk aH5Ve1]$ cat > test.sgml
<!DOCTYPE BOOK PUBLIC "-//OASIS//DTD DocBook V3.1//EN" [
]>

<book id="linux-driverguide">
<beginpage>
<title>Linux drivers</title>
<subtitle>Document Version 1.0, November 2001</subtitle>
</book>
[tim@cyberelk aH5Ve1]$ db2ps test.sgml
Using catalogs: /etc/sgml/sgml-docbook-3.1.cat
Using stylesheet: /usr/share/sgml/docbook/utils-0.6.9/docbook-utils.dsl#print
Working on: /tmp/aH5Ve1/test.sgml
Done.
[tim@cyberelk aH5Ve1]$ db2pdf test.sgml
Using catalogs: /etc/sgml/sgml-docbook-3.1.cat
Using stylesheet: /usr/share/sgml/docbook/utils-0.6.9/docbook-utils.dsl#print
Working on: /tmp/aH5Ve1/test.sgml
Done.
[tim@cyberelk aH5Ve1]$ db2html test.sgml
output is test
Using catalogs: /etc/sgml/sgml-docbook-3.1.cat
Using stylesheet: /usr/share/sgml/docbook/utils-0.6.9/docbook-utils.dsl#html
Working on: /tmp/aH5Ve1/test.sgml
Done.
[tim@cyberelk aH5Ve1]$ rpm -q docbook-utils docbook-utils-pdf openjade
docbook-utils-0.6.9-12
docbook-utils-pdf-0.6.9-12
openjade-1.3-21
[tim@cyberelk aH5Ve1]$ rpm -q jadetex tetex
jadetex-3.11-3
tetex-1.0.7-37

What does 'rpm -V' say for those packages (I get no output, indicating that 
they are installed properly)?
Comment 2 David Howells 2001-12-07 08:34:45 EST
What you asked for:

dhowells>echo `rpm -qa | grep "docbook\\\|jade\\\|tetex"`
docbook-style-dsssl-1.73-3 jadetex-3.11-3 docbook-utils-0.6.9-12
tetex-fonts-1.0.7-37 tetex-dvips-1.0.7-37 docbook-dtd30-sgml-1.0-10
tetex-dvilj-1.0.7-37 tetex-latex-1.0.7-37 docbook-utils-pdf-0.6.9-12
tetex-doc-1.0.7-37 tetex-1.0.7-37 docbook-dtd31-sgml-1.0-10 openjade-1.3-21
tetex-afm-1.0.7-37 tetex-xdvi-1.0.7-37
dhowells>rpm -V `rpm -qa | grep "docbook\\\|jade\\\|tetex"`
dhowells>

Comment 3 Tim Waugh 2001-12-07 08:38:07 EST
I don't know what to suggest other than removing and re-installing those 
packages.  What's the history of this installation?
Comment 4 David Howells 2001-12-07 08:52:15 EST
The box started off as RH7.1 but has been gradually upgraded towards RH7.2.
Recently I've needed to produce PDF of documentation that's been done for a
contract, and have tried to get db2pdf to do it, but unsuccessfully. So I've
upgraded the packages to those in Rawhide and beyond.

I've just tried removing them, but there are a number of dependencies preventing
removal.

I'm just going to run up2date to see if that can help with packages on which
these depend.
Comment 5 Tim Waugh 2001-12-07 08:58:46 EST
So long as you haven't added any TeX packages directly to the tree and you 
haven't modified the configuration (texmf.cnf), please try this:

- remove those packages and their dependencies
- rm -rf /usr/share/texmf
- reinstall the 7.2 versions of the packages you removed, except:
  - For teTeX, use the skunkworks packages (1.0.7-37)
  - for 'noarch' packages, use the ones in rawhide

If you have added TeX packages directly to the tree, perhaps that's the 
problem. :-)
Comment 6 Tim Waugh 2001-12-07 10:01:21 EST
The problem turned out to be an erronious environment variable:

TEXINPUTS=.

Without a ':', this excludes the default search path from the input search 
path.  Not ideal..

Note You need to log in before you can comment on or make changes to this bug.